Page MenuHomePhabricator

Make Wikibase compatible with HHVM
Closed, ResolvedPublic

Description


Version: master
Severity: normal
Whiteboard: u=dev c=backend p=0

Details

Reference
bz64415

Related Objects

StatusAssignedTask
DuplicateNone
ResolvedNone
ResolvedLydia_Pintscher
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedLydia_Pintscher
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
Declinedthiemowmde
Declinedthiemowmde
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedJeroenDeDauw
ResolvedLydia_Pintscher

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:20 AM
bzimport set Reference to bz64415.
bzimport added a subscriber: Unknown Object (MLST).
ori added a comment.Sep 26 2014, 6:34 AM

The 1.25wmf1 branch is free of HHVM-specific errors, AFAICT.

aude added a comment.Sep 26 2014, 9:39 AM

we still have issues on 1.25wmf1

I simply tried to view a diff (over many revisions):

https://test.wikidata.org/w/index.php?title=Q6&diff=8305&oldid=5032&uselang=en

In the logs, I see, the second which is mine and should be fixed with backport. I can take care of the first one, also.

Sep 26 09:30:51 mw1017: #012Fatal error: Argument 1 passed to Wikibase\RepoItemLinkGenerator::getEditLinksLink() must be an instance of Wikibase\EntityId, Wikibase\DataModel\Entity\ItemId given in /srv/mediawiki/php-1.25wmf1/extensions/Wikidata/extensions/Wikibase/client/includes/RepoItemLinkGenerator.php on line 140
Sep 26 09:35:52 mw1017: #012Fatal error: Argument 1 passed to Wikibase\ClaimDifferenceVisualizer::formatPropertyId() must be an instance of Wikibase\EntityId, Wikibase\DataModel\Entity\PropertyId given in /srv/mediawiki/php-1.25wmf1/extensions/Wikidata/extensions/Wikibase/repo/includes/ClaimDifferenceVisualizer.php on line 276

aude added a comment.Sep 26 2014, 1:10 PM

not yet fixed

AFAIK all the actual problems we know of under HHVM were fixed. The dependent bugs are only about cleanups and automated tests.

aude added a comment.Oct 29 2014, 10:33 PM

enabled hhvm again on wikidata as a beta feature and don't see any issues

aude added a comment.Oct 29 2014, 10:34 PM

aaaha, this still depends on things that are still open.

i think this bug is fixed and doesn't depend on the other ones, imho, though

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher closed this task as Resolved.Dec 15 2014, 2:37 PM
Lydia_Pintscher claimed this task.
Ricordisamoa added a subscriber: Ricordisamoa.